It's fully compatible Rated 5 out of 5 stars

The above-listed version is fully compatible with upto Firefox 8.*. Just click on the install button.

This review is for a previous version of the add-on (6.0.1-signed).